SVG:Advisory-SVG-CVE-2018-7033

From EGIWiki
Jump to: navigation, search
Main page Software Security Checklist Issue Handling Advisories Notes On Risk Advisory Template More

Advisory-SVG-CVE-2018-7033



Title:       EGI SVG 'ADVISORY' [TLP:WHITE] Up to 'CRITICAL' risk vulnerability concerning SLURM CVE-2018-7033  
             [EGI-SVG-CVE-2018-7033] 

Date:        2018-03-22
Updated:     2018-04-12 Changed to [TLP:WHITE]


Affected software and risk
==========================

Up to CRITICAL risk vulnerability concerning SLURM.

Package : SLURM
CVE ID  : CVE-2018-7033
Bug ID  : 

Several issues were identified concerning how SlurmDBD handles user input, which can lead to SQL injection attacks against the
 Maria/MySQL database used for accounting storage. SQL injection attacks against that database could be used to elevate privileges 
of an otherwise untrusted user account.


Actions required/recommended
============================
 
Sites running SLURM should urgently install the new version. 

Affected software details
=========================

SLURM Versions 17.11.5 and 17.02.10 released on 15th March 2018 include a fix for this issue. [R 1]

It is stated that all previous versions are likely to be vulnerable.


Component installation information
==================================

See [R 1], [R 2]


TLP and URL
===========

** WHITE information - Unlimited distribution - see https://wiki.egi.eu/wiki/EGI_CSIRT:TLP for distribution restrictions **  

URL:   https://wiki.egi.eu/wiki/SVG:Advisory-SVG-CVE-2018-7033    

Minor updates may be made without re-distribution to the sites


Comments
========

Comments or questions should be sent to svg-rat  at  mailman.egi.eu

If you find or become aware of another vulnerability which is relevant to EGI you may report it by e-mail to  

report-vulnerability at egi.eu
 
the EGI Software Vulnerability Group will take a look according to the procedure defined in [R 3]  

Note that this has been updated and the latest version approved by the Operations Management Board in November 2017


References
==========

[R 1] https://lists.schedmd.com/pipermail/slurm-announce/2018/000006.html

[R 2] https://www.schedmd.com/downloads.php

[R 3] https://documents.egi.eu/public/ShowDocument?docid=3145

Credit
======

SVG was alerted to this vulnerability by Jeny Teheran from the OSG team, prior to it being public. 

Timeline
========
Yyyy-mm-dd  [EGI-SVG-CVE-2018-7033] 

2018-03-06 SVG alerted to this issue by Jeny Teheran from the OSG team, prior to being public
2018-03-06 Acknowledgement from the EGI SVG to the reporter
2018-03-15 Updated packages available
2018-03-21 Discussed at EGI SVG meeting
2018-03-22 Advisory sent to sites
2018-04-12 Advisory changed to [TLP:WHITE] and placed on the wiki



Context
=======

This advisory has been prepared as part of the effort to fulfil EGI SVG's purpose 
"To minimize the risk to the EGI infrastructure arising from software vulnerabilities"

The risk is that assessed by the group, according to the EGI SVG issue handling procedure [R 3]  
in the context of how the software is used in the EGI infrastructure. It is the opinion of the group, 
we do not guarantee it to be correct. The risk may also be higher or lower in other deployments depending 
on how the software is used.   

Others may re-use this information provided they:-

1) Respect the provided TLP classification

2) Credit the EGI https://www.egi.eu/ Software Vulnerability Group


On behalf of the EGI SVG,